Community
Showing results for 
Search instead for 
Do you mean 
Reply

Act.Ui.Core version error

Accepted Solution Solved
Copper Contributor
Posts: 32
Country: United_Kingdom
Accepted Solution

Act.Ui.Core version error

So i'm workign on a plugin and whenever i try to use the Act.UI.Core dll as a reference I get the following error on compiling:

"Error    1    Assembly 'Act.UI, Version=14.1.108.0, Culture=neutral, PublicKeyToken=ebf6b2ff4d0a08aa' uses 'Act.UI.Core, Version=14.1.108.0, Culture=neutral, PublicKeyToken=ebf6b2ff4d0a08aa' which has a higher version than referenced assembly 'Act.UI.Core, Version=12.2.76.0, Culture=neutral, PublicKeyToken=ebf6b2ff4d0a08aa'    c:\Windows\assembly\GAC_MSIL\Act.UI\14.1.108.0__ebf6b2ff4d0a08aa\Act.UI.dll    Act.ProductPlugin"

 

I'm using Act Premium 2012 and the dll's from that install and Visual C# Express 2010. This is strange because I don't seem to be able to use the Act.UI.Core namespace without adding that reference.

Help?


Accepted Solutions
Solution
Accepted by topic author Antonf26
‎09-25-2015 03:20 AM
Employee
Posts: 1,163
Country: USA

Re: Act.Ui.Core version error

Try removing all of the references from your project. Copy the contents of "ACTINSTALLFOLDER\ACTWG\GlobalAssemblyCache" to a location that won't change, I use a folder on the root of C. Readd the references from this location.

 

 

Matthew Wood
Act! SDK Support
Community Moderator

View solution in original post


All Replies
Solution
Accepted by topic author Antonf26
‎09-25-2015 03:20 AM
Employee
Posts: 1,163
Country: USA

Re: Act.Ui.Core version error

Try removing all of the references from your project. Copy the contents of "ACTINSTALLFOLDER\ACTWG\GlobalAssemblyCache" to a location that won't change, I use a folder on the root of C. Readd the references from this location.

 

 

Matthew Wood
Act! SDK Support
Community Moderator
Copper Contributor
Posts: 32
Country: United_Kingdom

Re: Act.Ui.Core version error

yeh right after i posted I thought i'd try removing the reference to act.ui and re-adding the one i know is correct and that fixed it. I thought i'd deleted this thread. my bad.